Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene
Class FluxSceneVisitor

    java.lang.Object
      de.grogra.imp3d.Visitor3D
          de.grogra.imp3d.DisplayVisitor
              de.grogra.gpuflux.scene.FluxSceneVisitor

All Implemented Interfaces:
  Visitor

    public class FluxSceneVisitor

extends DisplayVisitor

Field Summary

Fields inherited from class de.grogra.imp3d.DisplayVisitor
`lastEntered, lastEnteredIsNode`

Fields inherited from class de.grogra.imp3d.Visitor3D
`layer, state, transformation`

Fields inherited from interface de.grogra.graph.Visitor
`STOP`

Constructor Summary
`FluxSceneVisitor()`

Method Summary
`java.util.Vector<FluxChannelMap>` | `getChannels()`
`int` | `getGroupCount()`
`java.util.Vector<FluxPrimitive>` | `getInfPrimitives()`
`FluxLightBuilder` | `getLightBuilder()`
`java.util.Vector<LightNode>` | `getLights()`
`java.lang.String` | `getLog()`
`LongToIntHashMap` | `getNodeToGroup()`
`java.util.Vector<FluxPrimitive>` | `getPrimitives()`
`java.util.Vector<FluxSensor>` | `getSensors()`
`java.util.Vector<FluxShader>` | `getShaders()`
`protected boolean` | `isInVisibleLayer(java.lang.Object o, boolean asNode)`
`protected Shader` | `resolveShader(Shader shader)`
`protected void` | `visitEnterImpl(java.lang.Object object, boolean asNode, Path path)` This method has to be implemented by subclasses.
`protected void` | `visitImpl(java.lang.Object object, boolean asNode, Shader s, Path path)`
`java.lang.Object` | `visitInstanceEnter()` Informs this visitor about the beginning of an instantiation.
`boolean` | `visitInstanceLeave(java.lang.Object o)` Informs this visitor that an instantiation has been processed completely.
`protected void` | `visitLeaveImpl(java.lang.Object object, boolean asNode, Path path)` This method has to be implemented by subclasses.
`void` | `visitScene(Graph graph, ViewConfig3D view, ObjectFilter measureFilter, boolean enableSensors, boolean sampleExplicit, ProgressMonitor monitor, float flatness, boolean[] visibleLayers)`

Methods inherited from class de.grogra.imp3d.DisplayVisitor
`getCurrentShader, init`

Methods inherited from class de.grogra.imp3d.Visitor3D
`getCurrentTransformation, getGraphState, init, visitEnter, visitEnter, visitLeave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxSceneVisitor

    public FluxSceneVisitor()

Method Detail

### getChannels

    public java.util.Vector<FluxChannelMap> getChannels()

### getGroupCount

    public int getGroupCount()

### getInfPrimitives

    public java.util.Vector<FluxPrimitive> getInfPrimitives()

### getLightBuilder

    public FluxLightBuilder getLightBuilder()

### getLights

    public java.util.Vector<LightNode> getLights()

### getLog

    public java.lang.String getLog()

### getNodeToGroup

    public LongToIntHashMap getNodeToGroup()

### getPrimitives

    public java.util.Vector<FluxPrimitive> getPrimitives()

### getSensors

    public java.util.Vector<FluxSensor> getSensors()

### getShaders

    public java.util.Vector<FluxShader> getShaders()

### isInVisibleLayer

    protected boolean isInVisibleLayer(java.lang.Object o,
                                       boolean asNode)

  Overrides:
    `isInVisibleLayer` in class `DisplayVisitor`

### resolveShader

    protected Shader resolveShader(Shader shader)

  Overrides:
    `resolveShader` in class `DisplayVisitor`

### visitEnterImpl

    protected void visitEnterImpl(java.lang.Object object,
                                  boolean asNode,
                                  Path path)

  Description copied from class: `Visitor3D`
  This method has to be implemented by subclasses. It is invoked when `object` is entered.

  Overrides:
    `visitEnterImpl` in class `DisplayVisitor`
  Parameters:
    `object` - the object being entered
    `asNode` - is `object` a node or an edge?
    `path` - the path to `object` if `object` is a node, the path to the node where `object` points to if `object` is an edge

### visitImpl

    protected void visitImpl(java.lang.Object object,
                             boolean asNode,
                             Shader s,
                             Path path)

  Specified by:
    `visitImpl` in class `DisplayVisitor`

### visitInstanceEnter

    public java.lang.Object visitInstanceEnter()

  Description copied from interface: `Visitor`
  Informs this visitor about the beginning of an instantiation. This method invokation is nested immediately within `visitEnter`/`visitLeave` of a node. Later on, `Visitor.visitInstanceLeave(Object)` will be invoked with the returned value of this invocation as argument. If this method returns `Visitor.STOP`, the `visitInstanceLeave`-method will be invoked immediately after this method, i.e., the visitor does not dive into the instantiation. Otherwise, the instantiation is performed, starting with an edge.

  Specified by:
    `visitInstanceEnter` in interface `Visitor`
  Overrides:
    `visitInstanceEnter` in class `Visitor3D`
  Returns:
    value to pass to `visitInstanceLeave`, may be `Visitor.STOP`

### visitInstanceLeave

    public boolean visitInstanceLeave(java.lang.Object o)

  Description copied from interface: `Visitor`
  Informs this visitor that an instantiation has been processed completely. The value `o` is the return value of the corresponding invocation of `Visitor.visitInstanceEnter()`. If this invocation returns `false`, no further instantiations or edges of the current level of hierarchy will be passed to this visitor, i.e., the `visitLeave` method for the enclosing node will be invoked immediately.

  Specified by:
    `visitInstanceLeave` in interface `Visitor`
  Overrides:
    `visitInstanceLeave` in class `Visitor3D`
  Parameters:
    `o` - returned value of `visitInstanceEnter`
  Returns:
    `true` iff processing of current level shall be continued

### visitLeaveImpl

    protected void visitLeaveImpl(java.lang.Object object,
                                  boolean asNode,
                                  Path path)

  Description copied from class: `Visitor3D`
  This method has to be implemented by subclasses. It is invoked when `object` is left.

  Overrides:
    `visitLeaveImpl` in class `DisplayVisitor`
  Parameters:
    `object` - the object being left
    `asNode` - is `object` a node or an edge?
    `path` - the path to `object` if `object` is a node, the path to the node where `object` points to if `object` is an edge

### visitScene

    public void visitScene(Graph graph,
                           ViewConfig3D view,
                           ObjectFilter measureFilter,
                           boolean enableSensors,
                           boolean sampleExplicit,
                           ProgressMonitor monitor,
                           float flatness,
                           boolean[] visibleLayers)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD